Bug 82503 - firstboot: error in Date and Time module
Summary: firstboot: error in Date and Time module
Status: CLOSED DUPLICATE of bug 82061
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: firstboot   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-22 21:55 UTC by Fred New
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:51:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fred New 2003-01-22 21:55:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3a) Gecko/20021212

Description of problem:
Installing Phoebe 2 freshly resulted in an error in "the Date and Time module"
of firstboot.

Version-Release number of selected component (if applicable):
firstboot-1.0.3-5

How reproducible:
Didn't try

Steps to Reproduce:
1. Installed Phoebe 2 - HTTP, text, Workstation, timezone = Europe/Tallinn,
fixed IP address in a private network (192.168....), hostname = phoebe
2. Restarted the computer.
3. Clicked Forward at least once in the firstboot windows.
    

Actual Results:  A message window appeared with a title of "firstboot.py" and
"An error has occurred in the Date and Time module".  The window also contained
traceback messages.

After clicking "Okay" (or something like that) firstboot continued successfully.

Expected Results:  No message window.

Additional info:

Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 153, in __init__
    vbox, eventbox = module.launch()
  File "/usr/share/firstboot/modules/date.py", line 75, in launch
    self.setupScreen()
  File "/usr/share/firstboot/modules/date.py", line 64, in setupScreen
    self.datePage = date_gui.datePage(self.dateBackend)
  File "/usr/share/redhat-config-date/date_gui.py", line 171, in __init__
    ntpServer = socket.gethostbyaddr(ntpServerIP)[0]
TypeError: gethostbyaddr() argument 1 must be string, not None

Comment 1 Brent Fox 2003-01-22 21:59:01 UTC

*** This bug has been marked as a duplicate of 82061 ***

Comment 2 Red Hat Bugzilla 2006-02-21 18:51:19 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.